Debian Bug report logs - #648061
(kfreebsd): NotImplementedError: cannot determine number of cpus

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: Christoph Egger <christoph@debian.org>

Date: Sat, 5 Nov 2011 09:06:01 UTC

Severity: serious

Tags: sid, wheezy

Merged with 679128

Fixed in version freebsd-utils/9.0+ds1-7

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>:
Bug#647690; Package src:bzr. (Sat, 05 Nov 2011 09:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Egger <christoph@debian.org>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>. (Sat, 05 Nov 2011 09:06:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Egger <christoph@debian.org>
To: submit@bugs.debian.org
Subject: bzr: FTBFS(kfreebsd): NotImplementedError: cannot determine number of cpus
Date: Sat, 05 Nov 2011 10:03:18 +0100
Package: src:bzr
Version: 2.4.2-1
Severity: serious
Tags: sid wheezy
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-Cc: debian-bsd@lists.debian.org
Justification: fails to build from source (but built successfully in the past)

Hi!

Your package failed to build on the kfreebsd-* buildds:

  File "/build/buildd-bzr_2.4.2-1-kfreebsd-amd64-jZoBIh/bzr-2.4.2/build/lib.gnukfreebsd-8.1-1-amd64-x86_64-2.7/bzrlib/osutils.py", line 2322, in local_concurrency
    concurrency = multiprocessing.cpu_count()
  File "/usr/lib/python2.7/multiprocessing/__init__.py", line 136, in cpu_count
    raise NotImplementedError('cannot determine number of cpus')
NotImplementedError: cannot determine number of cpus
------------

----------------------------------------------------------------------
Ran 25846 tests in 11730.077s

FAILED (errors=1, known_failure_count=30)
2967 tests skipped
make[1]: *** [override_dh_auto_test] Error 1
make[1]: Leaving directory `/build/buildd-bzr_2.4.2-1-kfreebsd-amd64-jZoBIh/bzr-2.4.2'
make: *** [build] Error 2


Full build log at
https://buildd.debian.org/status/fetch.php?pkg=bzr&arch=kfreebsd-amd64&ver=2.4.2-1&stamp=1320463599

Regards

    Christoph

If you have further questions please mail debian-bsd@lists.debian.org
-- 
9FED 5C6C E206 B70A 5857  70CA 9655 22B9 D49A E731
Debian Developer | Lisp Hacker | CaCert Assurer




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>:
Bug#647690; Package src:bzr. (Sat, 05 Nov 2011 09:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and forwarded to list. Copy sent to Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>. (Sat, 05 Nov 2011 09:36:06 GMT) Full text and rfc822 format available.

Message #10 received at 647690@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: 647690@bugs.debian.org
Subject: Re: Bug#647690: bzr: FTBFS: NotImplementedError: cannot determine number of cpus
Date: Sat, 5 Nov 2011 10:44:54 +0100 (CET)
>    concurrency = multiprocessing.cpu_count()
>  File "/usr/lib/python2.7/multiprocessing/__init__.py", line 136, in cpu_count
>    raise NotImplementedError('cannot determine number of cpus')
> NotImplementedError: cannot determine number of cpus
> ------------

It can be used either
    os.sysconf('SC_NPROCESSORS_ONLN')
or
    /bin/sysctl -n hw.ncpu
but not
    /sbin/sysctl -n hw.ncpu

Petr




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>:
Bug#647690; Package src:bzr. (Sat, 05 Nov 2011 11:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>. (Sat, 05 Nov 2011 11:24:05 GMT) Full text and rfc822 format available.

Message #15 received at 647690@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Christoph Egger <christoph@debian.org>, 647690@bugs.debian.org
Subject: Re: Bug#647690: bzr: FTBFS(kfreebsd): NotImplementedError: cannot determine number of cpus
Date: Sat, 5 Nov 2011 12:21:36 +0100
2011/11/5 Christoph Egger <christoph@debian.org>:
>  File "/build/buildd-bzr_2.4.2-1-kfreebsd-amd64-jZoBIh/bzr-2.4.2/build/lib.gnukfreebsd-8.1-1-amd64-x86_64-2.7/bzrlib/osutils.py", line 2322, in local_concurrency
>    concurrency = multiprocessing.cpu_count()
>  File "/usr/lib/python2.7/multiprocessing/__init__.py", line 136, in cpu_count
>    raise NotImplementedError('cannot determine number of cpus')
> NotImplementedError: cannot determine number of cpus

I don't know how to do this in python, but in case it helps you can
obtain the number of cpus via { CTL_HW, HW_NCPU } sysctl:

$ sysctl hw.ncpu
hw.ncpu: 2

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>:
Bug#647690; Package src:bzr. (Mon, 07 Nov 2011 15:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>. (Mon, 07 Nov 2011 15:21:03 GMT) Full text and rfc822 format available.

Message #20 received at 647690@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: Robert Millan <rmh@debian.org>, 647690@bugs.debian.org
Subject: Re: Bug#647690: bzr: FTBFS(kfreebsd): NotImplementedError: cannot determine number of cpus
Date: Mon, 07 Nov 2011 16:10:58 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On 05/11/11 12:21, Robert Millan wrote:
> 2011/11/5 Christoph Egger <christoph@debian.org>:
>> File
"/build/buildd-bzr_2.4.2-1-kfreebsd-amd64-jZoBIh/bzr-2.4.2/build/lib.gnukfreebsd-8.1-1-amd64-x86_64-2.7/bzrlib/osutils.py",
line 2322, in local_concurrency
>> concurrency = multiprocessing.cpu_count()
>> File "/usr/lib/python2.7/multiprocessing/__init__.py", line 136, in
cpu_count
>> raise NotImplementedError('cannot determine number of cpus')
>> NotImplementedError: cannot determine number of cpus
>
> I don't know how to do this in python, but in case it helps you can
> obtain the number of cpus via { CTL_HW, HW_NCPU } sysctl:
>
> $ sysctl hw.ncpu
> hw.ncpu: 2
We already have a fallback mechanism for older versions of Python that
don't provide the multiprocessing module. I'll make
bzrlib.osutils.local_concurrency() fall back to that if
multiprocessing.cpu_count() raises NotImplementedError.

Arguably this is also a bug in Python, because it should be able to
provide the CPU count on Debian GNU/kFreeBSD.

Thanks for the bug report and useful suggestions.

Cheers,

Jelmer

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQIcBAEBAgAGBQJOt/UCAAoJEACAbyvXKaRXd8sP/3viGCgB+8KjhJEIK3rSfeYM
fGwl+ENp6yuIfAaoXcDyO8b2Lzyd7KNqmjYm53HBsqW6hF/UwJm375U/GSAhRAa+
K4fPAVJRIlgxwzvSPI/WVwAPSzByCwxz8et2VEKyUwVH1lEjU4NBq5LNHtD+OgjL
LXgnZCaUiqloP1JKPtvgvto1Fjoea8XJla8KeyH31PfK+hVT3+FEMvv/ExYYRJXC
YvsNWpSvtdQMS8Yj0ahJ9IPDtuBycaIDvs2y1YjerykV1TsPyMInHE5PjmdOL36J
kAw5K+GftjppDxDAN5zt1rtPJEdad2iW17Fl1KHBoWEVVX8yhA8wkzJdVXhTzdem
zI407H192RdoDikryBsRkvEy8nn4CvFdz4H2uOe8Tr6h50fEgbfUrZEsgS18p09E
/ad97D1dGdsh+ZKC59bawV73BKB9jTiadMVrCIrk6v6B2vnHOVj7oX3RWSyMHLYC
MpS1ooN789pYCNRC/K45UyKC+ku12pvylpH55dQnjeTkX56crARYDPnQJ/jHTGbw
wnOZUEzDVfgxP03Ta3VkwEhMgLBLDaUH+iKquyP62kkRScE2w4dGH48XKo7+WTmT
rDiqwhSuC2D9QxxdrHJ/p5XMrhVpun7UBfk9lhRdQtvoRKTt2KZna3sL9DKv0HU4
urBWJV3TgiB+NCMWkjFt
=ku1p
-----END PGP SIGNATURE-----





Reply sent to Jelmer Vernooij <jelmer@debian.org>:
You have taken responsibility. (Mon, 07 Nov 2011 16:21:17 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Mon, 07 Nov 2011 16:21:17 GMT) Full text and rfc822 format available.

Message #25 received at 647690-close@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: 647690-close@bugs.debian.org
Subject: Bug#647690: fixed in bzr 2.5.0~beta2-2
Date: Mon, 07 Nov 2011 16:17:32 +0000
Source: bzr
Source-Version: 2.5.0~beta2-2

We believe that the bug you reported is fixed in the latest version of
bzr, which is due to be installed in the Debian FTP archive:

bzr-doc_2.5.0~beta2-2_all.deb
  to main/b/bzr/bzr-doc_2.5.0~beta2-2_all.deb
bzr_2.5.0~beta2-2.debian.tar.gz
  to main/b/bzr/bzr_2.5.0~beta2-2.debian.tar.gz
bzr_2.5.0~beta2-2.dsc
  to main/b/bzr/bzr_2.5.0~beta2-2.dsc
bzr_2.5.0~beta2-2_all.deb
  to main/b/bzr/bzr_2.5.0~beta2-2_all.deb
python-bzrlib-dbg_2.5.0~beta2-2_amd64.deb
  to main/b/bzr/python-bzrlib-dbg_2.5.0~beta2-2_amd64.deb
python-bzrlib.tests_2.5.0~beta2-2_all.deb
  to main/b/bzr/python-bzrlib.tests_2.5.0~beta2-2_all.deb
python-bzrlib_2.5.0~beta2-2_amd64.deb
  to main/b/bzr/python-bzrlib_2.5.0~beta2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 647690@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jelmer Vernooij <jelmer@debian.org> (supplier of updated bzr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 Nov 2011 16:15:28 +0100
Source: bzr
Binary: bzr python-bzrlib python-bzrlib-dbg python-bzrlib.tests bzr-doc
Architecture: source all amd64
Version: 2.5.0~beta2-2
Distribution: experimental
Urgency: low
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Changed-By: Jelmer Vernooij <jelmer@debian.org>
Description: 
 bzr        - easy to use distributed version control system
 bzr-doc    - easy to use distributed version control system (documentation)
 python-bzrlib - distributed version control system - python library
 python-bzrlib-dbg - distributed version control system - debug extension
 python-bzrlib.tests - distributed version control system - testsuite
Closes: 647690
Changes: 
 bzr (2.5.0~beta2-2) experimental; urgency=low
 .
   * Fix bzrlib.osutils.local_concurrency() when used on GNU/kFreeBSD
     with Python's multiprocessing module available. Closes: #647690
Checksums-Sha1: 
 34610b5c324bbe4952e0fb7fd07a7db5c17efa14 1654 bzr_2.5.0~beta2-2.dsc
 c6a287a229a08446c00fe74869599fc5590e9037 50984 bzr_2.5.0~beta2-2.debian.tar.gz
 1c38ec8f5a64f5da561fb8de8228f6562eea3fab 49366 bzr_2.5.0~beta2-2_all.deb
 c9e5d34036ed8eefd812e70d7d0ed9439d72eb8a 2110842 python-bzrlib_2.5.0~beta2-2_amd64.deb
 c231592bf7f97e378db3df4ccc57864ee5e0b9d7 3641614 python-bzrlib-dbg_2.5.0~beta2-2_amd64.deb
 30d94a9780466975c6b6653a6bb3b38c0476163a 1406548 python-bzrlib.tests_2.5.0~beta2-2_all.deb
 a609efde9b1f156443063e7ecab1890ef6d1daa2 5432048 bzr-doc_2.5.0~beta2-2_all.deb
Checksums-Sha256: 
 0e5a602f9beaea030eefb2b66b4b3bfd1dfdee134bef98bbee001e3282930072 1654 bzr_2.5.0~beta2-2.dsc
 c690b09d14bf77350f6f5c0c5fe5e44117499730dddcbb7115b7040206e5190b 50984 bzr_2.5.0~beta2-2.debian.tar.gz
 8ef155fb4ec21118f914fb601a7ddd4d7c9a9ad62bc7ac17089d99aa13ca9490 49366 bzr_2.5.0~beta2-2_all.deb
 204edf69ca6c7655618a1c8900d8d593e052ec088706c78cbd6dada333a9e84e 2110842 python-bzrlib_2.5.0~beta2-2_amd64.deb
 74304fb9a41cae260ad3e49cf8024392da42613c3e9506482b8d438c18c095ac 3641614 python-bzrlib-dbg_2.5.0~beta2-2_amd64.deb
 16e9381636b98dbce94e231954c215782a5e21f676f539edbd219495ed4ab7f8 1406548 python-bzrlib.tests_2.5.0~beta2-2_all.deb
 00799ff556c4adbb1f6e05baf40801b1c05f1806b891696dff104f32fa14ea52 5432048 bzr-doc_2.5.0~beta2-2_all.deb
Files: 
 98d9b0d59e1ee17d4504537762fddca8 1654 vcs optional bzr_2.5.0~beta2-2.dsc
 7b1b87b22648613e8c8071b333533fd7 50984 vcs optional bzr_2.5.0~beta2-2.debian.tar.gz
 ac80ec5f764cee841c6490c1e74710a0 49366 vcs optional bzr_2.5.0~beta2-2_all.deb
 e73a7f7cb48e8ce873ef0d390a2bacf0 2110842 python optional python-bzrlib_2.5.0~beta2-2_amd64.deb
 0c41ccc2a280ed766adc1375287f60d4 3641614 debug extra python-bzrlib-dbg_2.5.0~beta2-2_amd64.deb
 058f1428864ce2876bb51edf8ad19b88 1406548 python optional python-bzrlib.tests_2.5.0~beta2-2_all.deb
 e44afa865602e3f125b990c476914922 5432048 doc optional bzr-doc_2.5.0~beta2-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk64ABkACgkQPa9Uoh7vUnaaagCfZyj1SPjpYAkdZphV8TjBMkLR
wcQAn05M5+mC9lmR/VZsneqkxYj5iWE9
=WTOU
-----END PGP SIGNATURE-----





Reply sent to Jelmer Vernooij <jelmer@debian.org>:
You have taken responsibility. (Mon, 07 Nov 2011 17:36:10 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Mon, 07 Nov 2011 17:36:10 GMT) Full text and rfc822 format available.

Message #30 received at 647690-close@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: 647690-close@bugs.debian.org
Subject: Bug#647690: fixed in bzr 2.4.2-2
Date: Mon, 07 Nov 2011 17:32:36 +0000
Source: bzr
Source-Version: 2.4.2-2

We believe that the bug you reported is fixed in the latest version of
bzr, which is due to be installed in the Debian FTP archive:

bzr-doc_2.4.2-2_all.deb
  to main/b/bzr/bzr-doc_2.4.2-2_all.deb
bzr_2.4.2-2.debian.tar.gz
  to main/b/bzr/bzr_2.4.2-2.debian.tar.gz
bzr_2.4.2-2.dsc
  to main/b/bzr/bzr_2.4.2-2.dsc
bzr_2.4.2-2_all.deb
  to main/b/bzr/bzr_2.4.2-2_all.deb
python-bzrlib-dbg_2.4.2-2_amd64.deb
  to main/b/bzr/python-bzrlib-dbg_2.4.2-2_amd64.deb
python-bzrlib.tests_2.4.2-2_all.deb
  to main/b/bzr/python-bzrlib.tests_2.4.2-2_all.deb
python-bzrlib_2.4.2-2_amd64.deb
  to main/b/bzr/python-bzrlib_2.4.2-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 647690@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jelmer Vernooij <jelmer@debian.org> (supplier of updated bzr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 07 Nov 2011 17:15:56 +0100
Source: bzr
Binary: bzr python-bzrlib python-bzrlib-dbg python-bzrlib.tests bzr-doc
Architecture: source all amd64
Version: 2.4.2-2
Distribution: unstable
Urgency: low
Maintainer: Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>
Changed-By: Jelmer Vernooij <jelmer@debian.org>
Description: 
 bzr        - easy to use distributed version control system
 bzr-doc    - easy to use distributed version control system (documentation)
 python-bzrlib - distributed version control system - python library
 python-bzrlib-dbg - distributed version control system - debug extension
 python-bzrlib.tests - distributed version control system - testsuite
Closes: 647690
Changes: 
 bzr (2.4.2-2) unstable; urgency=low
 .
   * Fix bzrlib.osutils.local_concurrency() when used on GNU/kFreeBSD
     with Python's multiprocessing module available. Closes: #647690
Checksums-Sha1: 
 a41938f7ef0eba4f365ab1565366f65c200dd178 1790 bzr_2.4.2-2.dsc
 eb86f2387d4c18cddf2c0f8de1b72fdb79b883a5 54938 bzr_2.4.2-2.debian.tar.gz
 ead9d776b1c2846d30c52d50e19a4d03e2439b87 48508 bzr_2.4.2-2_all.deb
 f21ffa272f8d43905af8126a631bc4b27ea913fa 2089676 python-bzrlib_2.4.2-2_amd64.deb
 23d5e91c64151af3d77211333ce0ed864320a529 2712212 python-bzrlib-dbg_2.4.2-2_amd64.deb
 62ecc8fad5989a71514e72a7212accf13aed3517 1378556 python-bzrlib.tests_2.4.2-2_all.deb
 5b3822a86e9e853260add08a5728a359168c1e0d 5406852 bzr-doc_2.4.2-2_all.deb
Checksums-Sha256: 
 0db7737065b4de24a6788a41f5623b51404b25ed91ee6ee6714fb82789b102b1 1790 bzr_2.4.2-2.dsc
 f206dbab046a11fca2ae60dabcc7611afd7ec88c7aab0b923aec5a7a852ba50f 54938 bzr_2.4.2-2.debian.tar.gz
 e86489303d09a7525ade89003aa4e13564e457d85e28dedf7aa85bac18fba45d 48508 bzr_2.4.2-2_all.deb
 27840059c9656bd7faf9be4134915650eb080db5a49c40838a4a61e96d702a25 2089676 python-bzrlib_2.4.2-2_amd64.deb
 c09ac8673dafdabcfc95f76d5b7971a9c65ae6d5d404fdcbf1a38960d052bfc1 2712212 python-bzrlib-dbg_2.4.2-2_amd64.deb
 8ce677ca4bf12c425ed45f1a14e58b50598a01d8c91cb101ae2f025c5288f2c6 1378556 python-bzrlib.tests_2.4.2-2_all.deb
 cf31ac9010124b2f16e2b9c44631ce3516ee2b34e4566f632b583d8a1db95920 5406852 bzr-doc_2.4.2-2_all.deb
Files: 
 8fe27f19b9e4ed943cd896e1d6798ac7 1790 vcs optional bzr_2.4.2-2.dsc
 85fd9a181714436235f94de364f73d27 54938 vcs optional bzr_2.4.2-2.debian.tar.gz
 e91fcab9f27309024e02753fb0485645 48508 vcs optional bzr_2.4.2-2_all.deb
 647cdc0ad7e44e841f4789a13b3041a1 2089676 python optional python-bzrlib_2.4.2-2_amd64.deb
 c9a49d8bba0a287ce9bb0b12e5a29430 2712212 debug extra python-bzrlib-dbg_2.4.2-2_amd64.deb
 139bd967fad9f2a656c2c6e38710ea60 1378556 python optional python-bzrlib.tests_2.4.2-2_all.deb
 1ba5748693cb50bafc7040ea0b6472b4 5406852 doc optional bzr-doc_2.4.2-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk64EtAACgkQPa9Uoh7vUnYOrgCfYVEeQPj+SGl1cGKIhNncDfJd
4pkAmgO4b4HiEjLrALcBAV1yzlMtb+uR
=E4Bq
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>:
Bug#647690; Package src:bzr. (Tue, 08 Nov 2011 06:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>. (Tue, 08 Nov 2011 06:45:05 GMT) Full text and rfc822 format available.

Message #35 received at 647690@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Jelmer Vernooij <jelmer@debian.org>
Cc: 647690@bugs.debian.org
Subject: Re: Bug#647690: bzr: FTBFS(kfreebsd): NotImplementedError: cannot determine number of cpus
Date: Tue, 8 Nov 2011 07:43:20 +0100
2011/11/7 Jelmer Vernooij <jelmer@debian.org>:
> Arguably this is also a bug in Python, because it should be able to
> provide the CPU count on Debian GNU/kFreeBSD.

Which package would that be?  Please could you clone this bug and assign it?

-- 
Robert Millan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>:
Bug#647690; Package src:bzr. (Tue, 08 Nov 2011 09:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jelmer Vernooij <jelmer@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Bazaar Maintainers <pkg-bazaar-maint@lists.alioth.debian.org>. (Tue, 08 Nov 2011 09:03:36 GMT) Full text and rfc822 format available.

Message #40 received at 647690@bugs.debian.org (full text, mbox):

From: Jelmer Vernooij <jelmer@debian.org>
To: Robert Millan <rmh@debian.org>
Cc: 647690@bugs.debian.org
Subject: Re: Bug#647690: bzr: FTBFS(kfreebsd): NotImplementedError: cannot determine number of cpus
Date: Tue, 08 Nov 2011 09:59:28 +0100
On Tue 08 Nov 2011 07:43:20 CET, Robert Millan wrote:
> 2011/11/7 Jelmer Vernooij <jelmer@debian.org>:
>> Arguably this is also a bug in Python, because it should be able to
>> provide the CPU count on Debian GNU/kFreeBSD.
>
> Which package would that be?  Please could you clone this bug and assign it?
The main Python package, which has the multiprocessing module in it - 
its multiprocessing.cpu_count() function raises NotImplementedError on 
Debian GNU/kFreeBSD.

I'll see about cloning the bug.

Cheers,

Jelmer






Bug 647690 cloned as bug 648061. Request was from Jelmer Vernooij <jelmer@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 17:51:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'src:bzr' to 'python2.7'. Request was from Jelmer Vernooij <jelmer@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 17:54:03 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions bzr/2.4.2-1. Request was from Jelmer Vernooij <jelmer@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 17:54:03 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions bzr/2.4.2-2 and bzr/2.5.0~beta2-2. Request was from Jelmer Vernooij <jelmer@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 17:54:04 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Nov 2011 18:00:05 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 08 Nov 2011 18:06:03 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Yaroslav Halchenko <yarikoptic@gmail.com> to control@bugs.debian.org. (Thu, 21 Jun 2012 17:06:03 GMT) Full text and rfc822 format available.

Added indication that bug 648061 blocks 678708 Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 23 Jun 2012 21:57:05 GMT) Full text and rfc822 format available.

Changed Bug title to '(kfreebsd): NotImplementedError: cannot determine number' from 'bzr: FTBFS(kfreebsd): NotImplementedError: cannot determine number of cpus' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 23 Jun 2012 21:57:06 GMT) Full text and rfc822 format available.

Changed Bug title to '(kfreebsd): NotImplementedError: cannot determine number of cpus' from '(kfreebsd): NotImplementedError: cannot determine number' Request was from Steven Chamberlain <steven@pyro.eu.org> to control@bugs.debian.org. (Sat, 23 Jun 2012 22:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#648061; Package python2.7. (Mon, 25 Jun 2012 03:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Mon, 25 Jun 2012 03:36:02 GMT) Full text and rfc822 format available.

Message #65 received at 648061@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: Craig Small <csmall@debian.org>, 648061@bugs.debian.org
Subject: perspective patch for Python multiprocessing, but may be procps better "fix" it?
Date: Sun, 24 Jun 2012 23:33:54 -0400
[Message part 1 (text/plain, inline)]
Fix for multiprocessing is simple (attached, not tested) but not sure if
a "correct" one since it might  better be fixed in procps package
(included into To, please advise Craig):  sysctl is shipped under /sbin
on Linux-based installations but for some reason under /bin on kfreebsd.
That now requires every package relying on sysctl to become
kernel-aware.

procps's debian/rules seems to explicitly remove it from /sbin/:

ifneq ($(DEB_HOST_ARCH_OS), linux)
    rm -f \
        $(DEBROOT)/usr/bin/slabtop \
        $(DEBROOT)/usr/share/man/man1/slabtop.1 \
        $(DEBROOT)/sbin/sysctl \
        $(DEBROOT)/usr/share/man/man8/sysctl.8 \
        $(DEBROOT)/usr/share/man/man5/sysctl.conf.5 \
        $(NULL)
endif

is there any specific reason or could it be shipped under /sbin/ ?

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        
[deb_path_to_sysctl_for_multiprocessing (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Matthias Klose <doko@debian.org>:
Bug#648061; Package python2.7. (Fri, 06 Jul 2012 19:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yaroslav Halchenko <debian@onerussian.com>:
Extra info received and forwarded to list. Copy sent to Matthias Klose <doko@debian.org>. (Fri, 06 Jul 2012 19:48:03 GMT) Full text and rfc822 format available.

Message #70 received at 648061@bugs.debian.org (full text, mbox):

From: Yaroslav Halchenko <debian@onerussian.com>
To: 648061@bugs.debian.org, 679128@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#648061: Info received (perspective patch for Python multiprocessing, but may be procps better "fix" it?)
Date: Fri, 6 Jul 2012 15:44:22 -0400
forcemerge 679128  648061
severity 679128 serious
thanks

Since this resolved issues for Python (see #648061) which caused FTBFS
of some packages on kfreebsd platforms, raising severity a bit and
forcemerging 648061 into 679128

Thanks!

-- 
Yaroslav O. Halchenko
Postdoctoral Fellow,   Department of Psychological and Brain Sciences
Dartmouth College, 419 Moore Hall, Hinman Box 6207, Hanover, NH 03755
Phone: +1 (603) 646-9834                       Fax: +1 (603) 646-1419
WWW:   http://www.linkedin.com/in/yarik        




Bug reassigned from package 'python2.7' to 'freebsd-utils'. Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:04 GMT) Full text and rfc822 format available.

Removed indication that bug 648061 blocks 678708 Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:05 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:06 GMT) Full text and rfc822 format available.

Notification sent to Christoph Egger <christoph@debian.org>:
Bug acknowledged by developer. (Wed, 11 Jul 2012 16:15:07 GMT) Full text and rfc822 format available.

Marked as fixed in versions freebsd-utils/9.0+ds1-7. Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:07 GMT) Full text and rfc822 format available.

Merged 648061 679128 Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:08 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Yaroslav Halchenko <yoh@debian.org> to control@bugs.debian.org. (Wed, 11 Jul 2012 16:15:10 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 09 Aug 2012 07:26:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:06:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.